ServiceDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ServiceDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ServiceDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.ServiceDAO

    public class ServiceDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ServiceDAO(DAOFactory f)`

Method Summary
`Service` | `create(ServiceType type, Server server, java.lang.String name, java.lang.String desc, java.lang.String modifiedBy, java.lang.String location, java.lang.String owner, Service parent)` NOTE: this method automatically sets the autoinventoryIdentifier = name
`Service` | `create(ServiceValue sv, Server parent)`
`Service` | `createService(Server s, ServiceValue sv)`
`java.util.Collection` | `findAll_orderCtime(boolean asc)`
`java.util.Collection` | `findAll_orderName(boolean asc)`
`java.util.Collection` | `findAllClusterAppUnassigned_orderName(boolean asc)`
`java.util.Collection` | `findAllClusterUnassigned_orderName(boolean asc)`
`Service` | `findByApplication(java.lang.Integer appId)`
`Service` | `findById(java.lang.Integer id)`
`Service` | `findByName(Platform platform, java.lang.String serviceName)`
`Service` | `findByName(Server server, java.lang.String serviceName)`
`java.util.List` | `findByName(java.lang.String name)`
`java.util.Collection` | `findByParent(java.lang.Integer parentId)`
`java.util.Collection` | `findByParentAndType(java.lang.Integer parentId, java.lang.Integer typeId)`
`java.util.Collection` | `findByPlatform_orderName(java.lang.Integer id, boolean asc)`
`java.util.Collection` | `findByPlatform_orderType(java.lang.Integer id, boolean asc)`
`Service` | `findByResource(Resource res)`
`java.util.List` | `findByServer_orderName(java.lang.Integer id)`
`java.util.List` | `findByServer_orderType(java.lang.Integer id)`
`java.util.List` | `findByServerAndType_orderName(java.lang.Integer id, java.lang.Integer tid)`
`java.util.Collection` | `findByType(java.lang.Integer st, boolean asc)`
`java.util.Collection` | `findDeletedServices()`
`java.util.Collection` | `findPlatformServices_orderName(java.lang.Integer platId, boolean asc)`
`java.util.List` | `findPlatformServicesByType(Platform p, ServiceType st)`
`Resource` | `findVirtualByInstanceId(java.lang.Integer id)`
`java.util.Collection` | `findVirtualByProcessId(java.lang.Integer id)`
`java.util.Collection` | `findVirtualByPysicalId(java.lang.Integer id)`
`Service` | `get(java.lang.Integer id)`
`java.util.List` | `getByAIID(Server server, java.lang.String aiid)`
`java.lang.Number` | `getServiceCount()`
`java.util.List` | `getServiceTypeCounts()`
`void` | `remove(Service entity)`
`void` | `save(Service entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDAO

    public ServiceDAO(DAOFactory f)

Method Detail

### findById

    public Service findById(java.lang.Integer id)

### get

    public Service get(java.lang.Integer id)

### save

    public void save(Service entity)

### remove

    public void remove(Service entity)

### create

    public Service create(ServiceType type,
                          Server server,
                          java.lang.String name,
                          java.lang.String desc,
                          java.lang.String modifiedBy,
                          java.lang.String location,
                          java.lang.String owner,
                          Service parent)

  NOTE: this method automatically sets the autoinventoryIdentifier = name

### create

    public Service create(ServiceValue sv,
                          Server parent)

### createService

    public Service createService(Server s,
                                 ServiceValue sv)
                          throws ValidationException

  Throws:
    `ValidationException`

### findByParent

    public java.util.Collection findByParent(java.lang.Integer parentId)

### findByParentAndType

    public java.util.Collection findByParentAndType(java.lang.Integer parentId,
                                                    java.lang.Integer typeId)

### findAll_orderName

    public java.util.Collection findAll_orderName(boolean asc)

### findAll_orderCtime

    public java.util.Collection findAll_orderCtime(boolean asc)

### findByType

    public java.util.Collection findByType(java.lang.Integer st,
                                           boolean asc)

### findByName

    public java.util.List findByName(java.lang.String name)

### findByName

    public Service findByName(Platform platform,
                              java.lang.String serviceName)

### findByName

    public Service findByName(Server server,
                              java.lang.String serviceName)

### getByAIID

    public java.util.List getByAIID(Server server,
                                    java.lang.String aiid)

  Returns:
    `List` of `Service`

### findByPlatform_orderName

    public java.util.Collection findByPlatform_orderName(java.lang.Integer id,
                                                         boolean asc)

### findByPlatform_orderType

    public java.util.Collection findByPlatform_orderType(java.lang.Integer id,
                                                         boolean asc)

### findPlatformServicesByType

    public java.util.List findPlatformServicesByType(Platform p,
                                                     ServiceType st)

### findPlatformServices_orderName

    public java.util.Collection findPlatformServices_orderName(java.lang.Integer platId,
                                                               boolean asc)

### findByServer_orderName

    public java.util.List findByServer_orderName(java.lang.Integer id)

### findByServer_orderType

    public java.util.List findByServer_orderType(java.lang.Integer id)

### findByServerAndType_orderName

    public java.util.List findByServerAndType_orderName(java.lang.Integer id,
                                                        java.lang.Integer tid)

### findByApplication

    public Service findByApplication(java.lang.Integer appId)

### findAllClusterUnassigned_orderName

    public java.util.Collection findAllClusterUnassigned_orderName(boolean asc)

### findAllClusterAppUnassigned_orderName

    public java.util.Collection findAllClusterAppUnassigned_orderName(boolean asc)

### findVirtualByInstanceId

    public Resource findVirtualByInstanceId(java.lang.Integer id)

### findVirtualByProcessId

    public java.util.Collection findVirtualByProcessId(java.lang.Integer id)

### findVirtualByPysicalId

    public java.util.Collection findVirtualByPysicalId(java.lang.Integer id)

### getServiceTypeCounts

    public java.util.List getServiceTypeCounts()

### getServiceCount

    public java.lang.Number getServiceCount()

### findDeletedServices

    public java.util.Collection findDeletedServices()

### findByResource

    public Service findByResource(Resource res)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.